Subject: Re: [bitcoin-dev] [Lightning-dev] Sending OP_RETURN via Bitcoin Lightning

From: Christian Moss <[email-masked]>
Date: Thu, 9 Dec 2021 09:49:11 +0000

[email-masked], so single use seals require an onchain transaction to
post the proof of publication to the ledger (assuming bitcoin is used as
the ledger) when an asset is transferred, but it can scale because you can
batch many proofs (transfer of ownerships) into a merkle tree and just add
the merkle root into the single tx going into the ledger?

On Thu, Dec 9, 2021 at 9:13 AM Peter Todd <[email-masked]> wrote:

> On Mon, Dec 06, 2021 at 04:35:19PM +0000, Christian Moss via bitcoin-dev
> wrote:
> > As far as I understand it, RGB doesn't scale NFTs as each
> > transaction to transfer ownership of an NFT would require an onchain
> > transaction
>
> RGB intends to scale NFTs and similar things in the future via scalable
> single-use-seals:
> https://petertodd.org/2017/scalable-single-use-seal-asset-transfer
>
> --
> https://petertodd.org 'peter'[:-1]@petertodd.org
>